package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import cn.net.caoyao.cpzshandset.bean.ActivateBean;

public interface ActivateWithRelationDal {
	public int insertActivate(ActivateBean activateBean);
	public List<ActivateBean> queryAllActivateList();
	public List<ActivateBean> queryAllActivateListByASC();
	public ActivateBean getActivateBean(Cursor c,SQLiteDatabase db);
	public ActivateBean queryActivateBeanById(int id);
	public void updateActivate(ActivateBean activateBean);
	public void delActivateById(ActivateBean activateBean);
	/**
	 * 根据激活id更新激活的错误码
	 * 
	 * @param trainInvoice
	 */
	public void updateActivateErrorById(int errorCode,int id);
	/**
	 * 修改激活历史数据的状态
	 * @param status
	 * @param errorCode
	 * @param id
	 */
	public void updateActivateErrorStatusById(int status,int errorCode, int id);
}
